Bug 1263660 - GNOME keyring often fails to unlock in MATE
GNOME keyring often fails to unlock in MATE
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 07:16 EDT by sohny thomas
Modified: 2016-07-19 15:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:56:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sohny thomas 2015-09-16 07:16:34 EDT
Description of problem:
GNOME Keyring often fails to unlock at login in XFCE
It affects applications using the gnome-keyring framework, including chromium / google chrome.

The file causing the problem is /etc/xdg/autostart/gnome-keyring-pkcs11.desktop . The line
OnlyShowIn=GNOME;Unity;MATE
should be changed to
OnlyShowIn=GNOME;Unity;mate

to enable gnome-based applications using the keyring to run properly under MATE.

Version-Release number of selected component (if applicable):
Name        : gnome-keyring
Version     : 3.16.0
Release     : 1.fc22
Architecture: x86_64
Install Date: Friday 22 May 2015 12:27:41 AM IST
Group       : System Environment/Libraries
Size        : 4333953
License     : GPLv2+ and LGPLv2+
Signature   : RSA/SHA256, Friday 17 April 2015 08:39:37 AM IST, Key ID 11adc0948e1431d5
Source RPM  : gnome-keyring-3.16.0-1.fc22.src.rpm
Build Date  : Wednesday 08 April 2015 09:47:15 PM IST
Build Host  : buildvm-06.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://wiki.gnome.org/Projects/GnomeKeyring
Summary     : Framework for managing passwords and other secrets
Description :
The gnome-keyring session daemon manages passwords and other types of
secrets for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate with the keyring.


How reproducible:
Always

Steps to Reproduce:
1. Change to MATE desktop environment
2. logout and login
3. the dialog pops up to unlock your keyring 

Actual results:
The dialog bx pups to unclock your keyring

Expected results:
No dialog box after proper login

Additional info:
Comment 1 sohny thomas 2015-09-17 02:42:31 EDT
> The file causing the problem is
> /etc/xdg/autostart/gnome-keyring-pkcs11.desktop . The line
> OnlyShowIn=GNOME;Unity;MATE
> should be changed to
> OnlyShowIn=GNOME;Unity;mate

OK this doesnt work, once rebooted the the dailog box still pops up
Comment 2 Wolfgang Ulbrich 2015-09-17 04:33:16 EDT
(In reply to sohny thomas from comment #0)
> Description of problem:
> GNOME Keyring often fails to unlock at login in XFCE
> It affects applications using the gnome-keyring framework, including
> chromium / google chrome.
> 
> The file causing the problem is
> /etc/xdg/autostart/gnome-keyring-pkcs11.desktop . The line
> OnlyShowIn=GNOME;Unity;MATE
> should be changed to
> OnlyShowIn=GNOME;Unity;mate
MATE is the registrated name at freedesktop.
Did you change the password of you account?
Keyring and acoount have to be the same password.
Comment 3 sohny thomas 2015-09-17 09:39:31 EDT
Nope I have not changed my password from installation time ( about 4 monthsnow) 
And I specifically remember not having to setup any keyring thingy in gnome.
This happens only in mate
Comment 4 Fedora End Of Life 2016-07-19 15:56:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.